Apache C++ Standard Library Reference Guide

## cerr

Library: Input/output

- Local Index
- Summary
- Synopsis
- Description
- Formatting
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

Predefined stream that controls output to a stream buffer associated with the object stderr declared in `<cstdio>`

### Synopsis

    #include <iostream>

    namespace std {
      extern ostream cerr;
    }

### Description

The object cerr controls output to a stream buffer associated with the object stderr declared in `<cstdio>`. By default, the standard C and C++ streams are synchronized, but you can improve performance by using the ios_base member function `synch_with_stdio` to desynchronize them.

### Formatting

The formatting is done through member functions or manipulators. See cout or basic_ostream for details.

### See Also

basic_ostream, basic_iostream, basic_filebuf, cout, cin, clog, wcin, wcout, wcerr, wclog, ios_base, basic_ios

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 27.3.1